#include <SoftwareSerial.h>
#include "TFMini.h"

// Setup software serial port 
SoftwareSerial mySerial(2, 3); // Uno RX (TFMINI TX), Uno TX (TFMINI RX)
TFMini tfmini;

#define PAUSE 25
bool stringComplete = false;
String inputString = "";


// SETUP ////////////////////////////////////////////////////////////////////////////////////////
void setup() 
{
  // Step 1: Initialize hardware serial port (serial debug port)
  Serial.begin(9600);
  // wait for serial port to connect. Needed for native USB port only
  while (!Serial) {};
     
  Serial.println ("Initializing...");
  delay(1000);

  // Step 2: Initialize the data rate for the SoftwareSerial port
  mySerial.begin(TFMINI_BAUDRATE);

  // Step 3: Initialize the TF Mini sensor
  tfmini.begin(&mySerial);    
}


// LOOP /////////////////////////////////////////////////////////////////////////////////////////
void loop() 
{
  // Take one TF Mini distance measurement
  int16_t dist = tfmini.getDistance();
  int16_t strength = tfmini.getRecentSignalStrength();

  // Display the measurement
  Serial.print(dist);
  Serial.print(" cm      sigstr: ");
  Serial.println(strength);

  // Wait some short time before taking the next measurement
  delay( PAUSE );  
}
